package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.TaOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaOrderMapper extends BaseMapper<TaOrder> {

    @Select("SELECT fn_nextval(#{name})")
    int getNextOrderNO(@Param("name") String name);
}
